net.sourceforge.pmd.util.filter

## Class RegexStringFilterTest

- java.lang.Object
- - net.sourceforge.pmd.util.filter.RegexStringFilterTest

    public class RegexStringFilterTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RegexStringFilterTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testEndsWith()`
`void` `testFilterAbsoluteWithExtension()`
`void` `testFilterAbsoluteWithoutExtension()`
`void` `testFilterRelativeWithExtension()`
`void` `testFilterRelativeWithoutExtension()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegexStringFilterTest

    public RegexStringFilterTest()

### Method Detail

#### testFilterAbsoluteWithExtension

    public void testFilterAbsoluteWithExtension()

#### testFilterAbsoluteWithoutExtension

    public void testFilterAbsoluteWithoutExtension()

#### testFilterRelativeWithExtension

    public void testFilterRelativeWithExtension()

#### testFilterRelativeWithoutExtension

    public void testFilterRelativeWithoutExtension()

#### testEndsWith

    public void testEndsWith()

#### suite

    public static junit.framework.Test suite()